/* GCC */

#include <iostream>
#include <algorithm>
#include <vector>
#include <fstream>
#include <string>
using namespace std;

#define NAME "camps"
#define MAX 1000
class Longint
{
private:
    short digits[MAX];
    int size;
public:
    Longint(): size(1) {for (int i = 0; i < MAX; ++i) digits[i] = 0; digits[0] = 1;}
    Longint(const vector<int>& v) : size(v.size())
    {
        for (int i = 0; i< MAX; ++i) digits[i] = 0;
        for (int i = 0; i < v.size(); ++i)
            digits[i] = v[i];
    }
    Longint(const Longint& v) : size(v.size)
    {
        for (int i = 0; i < MAX; ++i) digits[i] = 0;
        for (int i = 0; i < v.size; ++i)
            digits[i] = v.digits[i];
    }
    void operator=(const Longint& v)
    {
        size = v.size;
        for (int i = 0; i < MAX; ++i) digits[i] = 0;
        for (int i = 0; i < v.size; ++i)
            digits[i] = v.digits[i];
    }
    friend Longint operator+(const Longint& a, const Longint& b);
    friend ostream& operator<<(ostream& o, const Longint& l);
    int getsize() const {return size;}
};

Longint operator+(const Longint& a, const Longint& b)
{
    Longint c;
    c.digits[0] = 0;
    int l = max(a.size, b.size);
    c.size = l;
    int off = 0;
    int i;
    for (i = 0; i < l; ++i)
    {

        int sum = off;
        sum += a.digits[i];
        sum += b.digits[i];

        c.digits[i] = ((sum) % 10);
        off = (sum) / 10;

    }
    if (off > 0)
    {
        c.digits[i] = off;;
        c.size++;
    }


    return c;
}

Longint f(int n, int k)
{
    if (k == 1 || n == 1 || n == k)
        return Longint();
    else
        return f(n-1, k-1)+f(n-1, k);
}

ostream& operator<<(ostream& o, const Longint& l)
{
    for (int i = l.size-1; i >= 0; --i)
        o << l.digits[i];
    return o;
}
/*
int f(int n, int k)
{
    if (n == 1 || k == 1 || n == k)
        return 1;
    else
        return f(n-1, k-1) + f(n-1, k);
}*/

int main()
{
    ifstream fin(NAME ".in");
    ofstream fout(NAME ".out");

#define SZ  1000
    int s ;
    int n ;
    fin >> s >> n;
    ++s;
    ++n;
    static Longint mas[SZ][2];



    for (int i = 3; i < s; ++i)
    {
       /*for (int j = 1; j < 10; ++j)
            cout << mas[j][0] << ' ';
        cout << endl;*/

        for (int j = 2; j <i; ++j)
            mas[j][0] = mas[j][1];

        for (int j = 2; j < i; ++j)
        {
            mas[j][1] = (mas[j][0] + mas[j-1][0]);
        }

    }
    /*for (int j = 1; j < 10; ++j)
            cout << mas[j][1] << ' ';
        cout << endl;*/

    fout << mas[n][1] << endl;




    return 0;
}
