/* GCC */
#include <iostream>
#include <algorithm>
#include <cstdio>
#include <cstring>

using namespace std;

const int NMAX = 10010;
const long long BASE = 1000000000;
const int cntDig = 9;

int n, s;

struct LL
{
    long long num[NMAX];
};

LL ans;

void out(LL a)
{
    int ps = NMAX - 1;
    while (ps >= 0 && a.num[ps] == 0)
        --ps;
    if (ps < 0)
        printf("0\n");
    else
    {
        printf("%lld", a.num[ps--]);
        while (ps >= 0)
            printf("%09lld", a.num[ps--]);
        printf("\n");
    }
}

LL operator * (LL a, long long x)
{
    long long res = 0;
    LL c;
    for (int i = 0; i < NMAX; ++i)
    {
        long long cur = res + a.num[i] * x;
        c.num[i] = cur % BASE;
        res = cur / BASE;
    }
    return c;
}

LL operator / (LL a, long long x)
{
    LL c;
    long long mod = 0;
    for (int i = NMAX - 1; i >= 0; --i)
    {
        long long cur = mod * BASE + a.num[i];
        c.num[i] = cur / x;
        mod = cur % x;
    }
    return c;
}

int main()
{
    freopen("camps.in", "r", stdin);
    freopen("camps.out", "w", stdout);
    cin >> s >> n;
    memset(ans.num, 0, sizeof(ans.num));
    ans.num[0] = 1;
    for (long long i = s - n; i <= s - 1; ++i)
        ans = ans * i;
    for (long long i = 2; i <= n; ++i)
        ans = ans / i;
    out(ans);
    return 0;
}
