/* GCC */
#include <iostream>
#include <iomanip>
#include <fstream>
#include <vector>
#include <algorithm>

using namespace std;
const unsigned long long base = 1000000000;

void multiply(vector<unsigned long long>& num, size_t mult)
{
    size_t carry = 0;
    unsigned long long tmp;
    for(size_t i = 0; i < num.size(); ++i)
    {
        tmp = num[i] * mult + carry;
        carry = tmp/base;
        num[i] = tmp - carry*base;
    }
    if(carry)
        num.push_back(carry);
}

void divide(vector<unsigned long long>& num, size_t div)
{
    unsigned long long cur(0), carry(0);
    vector<unsigned long long> ans;
    ans.reserve(num.size());
    for(size_t i = num.size()-1; i != (size_t)(-1); --i)
    {
        (cur *= base) += num[i];
        carry = cur/div;
        cur -= carry*div;
        ans.push_back(carry);
    }
    ans.swap(num);
    reverse(num.begin(), num.end());
    while(num.back() == 0)
        num.pop_back();
}

int main(void)
{
    size_t s, n;
    vector<unsigned long long> num;
    num.reserve(7500);
    num.push_back(1);
    ifstream in("camps.in");
    in >> s >> n;
    --s;
    if(s < (n << 1))
        n = s-n;
    for(size_t i = 1; i <= n; ++i)
    {
        multiply(num, s-n+i);
        divide(num, i);
    }
    in.close();
    ofstream out("camps.out");
    reverse(num.begin(), num.end());
    out << num[0];
    out.fill('0');
    for(size_t i = 1; i < num.size(); ++i)
        out << setw(9) << num[i];
    out.close();
    return 0;
}
